module OpenMPI_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libmpi
const libmpi_path = "/usr/lib/libmpi.so.40"
libmpi_handle = C_NULL
get_libmpi_path() = libmpi_path
const libmpi = "libmpi.so.40"
export libmpi_mpifh
const libmpi_mpifh_path = "/usr/lib/libmpi_mpifh.so.40"
libmpi_mpifh_handle = C_NULL
get_libmpi_mpifh_path() = libmpi_mpifh_path
const libmpi_mpifh = "libmpi_mpifh.so.40"
export libmpi_usempi_ignore_tkr
const libmpi_usempi_ignore_tkr_path = "/usr/lib/libmpi_usempi_ignore_tkr.so.40"
libmpi_usempi_ignore_tkr_handle = C_NULL
get_libmpi_usempi_ignore_tkr_path() = libmpi_usempi_ignore_tkr_path
const libmpi_usempi_ignore_tkr = "libmpi_usempi_ignore_tkr.so.40"
export libmpi_usempif08
const libmpi_usempif08_path = "/usr/lib/libmpi_usempif08.so.40"
libmpi_usempif08_handle = C_NULL
get_libmpi_usempif08_path() = libmpi_usempif08_path
const libmpi_usempif08 = "libmpi_usempif08.so.40"
export mpiexec
const mpiexec_path = "/usr/bin/mpiexec"
mpiexec(f::Function; kw...) = f(mpiexec_path)
mpiexec(; kw...) = Cmd([mpiexec_path])
function __init__()
    global libmpi_handle = dlopen(libmpi_path)
    global libmpi_mpifh_handle = dlopen(libmpi_mpifh_path)
    global libmpi_usempi_ignore_tkr_handle = dlopen(libmpi_usempi_ignore_tkr_path)
    global libmpi_usempif08_handle = dlopen(libmpi_usempif08_path)
end
end
